## apt 0.8.16~exp7

=== debian/changelog ===
apt (0.8.16~exp7) experimental; urgency=low

  [ David Kalnischkies ]
  * do not pollute namespace in the headers with using (Closes: #500198)
  * use forward declaration in headers if possible instead of includes
  * remove old APT_COMPATIBILITY ifdef's
  * apt-pkg/deb/dpkgpm.cc:
    - use std::vector instead of fixed size arrays to store args and
      multiarch-packagename strings
    - load the dpkg base arguments only one time and reuse them later
  * cmdline/apt-get.cc:
    - follow Provides in the evaluation of saving candidates, too, for
      statisfying garbage package dependencies (Closes: #640590)
  * apt-pkg/algorithms.cc:
    - if a package is garbage, don't try to save it with FixByInstall
  * apt-pkg/deb/debsrcrecords.cc:
    - remove the limit of 400 Binaries for a source package (Closes: #622110)
  * apt-pkg/deb/deblistparser.cc:
    - fix crash when the dynamic mmap needs to be grown in
      LoadReleaseInfo (LP: #854090)
  * apt-pkg/deb/debmetaindex.cc:
    - none is a separator, not a language: no need for Index (Closes: #624218)
  * apt-pkg/aptconfiguration.cc:
    - do not builtin languages only if none is forced (Closes: #643787)
  * apt-pkg/pkgcachegen.cc:
    - refactor MergeList by creating -Group, -Package and -Version specialist
    - share description list between "same" versions (LP: #868977)
      This also means that descriptions are shared across archives now.
    - add implicit dependencies needed for Multi-Arch at the time a Version
      struct is created and not at the end of the cache generation
  * apt-pkg/pkgcache.cc:
    - always prefer "en" over "" for "en"-language regardless of cache-order

  [ Michael Vogt ]
  * apt-pkg/contrib/configuration.cc:
    - fix double delete (LP: #848907)
    - ignore only the invalid regexp instead of all options
  * apt-pkg/acquire-item.h, apt-pkg/deb/debmetaindex.cc:
    - fix fetching language information by adding OptionalSubIndexTarget
  * methods/https.cc:
    - cleanup broken downloads properly

  [ Colin Watson ]
  * ftparchive/cachedb.cc:
    - fix buffersize in bytes2hex

 -- Michael Vogt <mvo@debian.org>  Fri, 14 Oct 2011 13:51:35 +0200

## apt 0.8.16~exp8

=== debian/changelog ===
apt (0.8.16~exp8) experimental; urgency=low

  [ David Kalnischkies ]
  * apt-pkg/packagemanager.cc:
    - do not fail on unpacked packages in SmartUnPack, just don't
      shedule them for unpack, but do all checks and configure them
    - do not enter an endless loop for (essential) pre-dependency loops
  * apt-pkg/contrib/sha2_internal.cc:
    - use a pointer-union to peace gcc strict-aliasing warning
  * apt-pkg/deb/deblistparser.cc:
    - M-A: foreign packages provide for other archs, too

 -- David Kalnischkies <kalnischkies@gmail.com>  Thu, 03 Nov 2011 09:40:29 -0500

apt (1.8.15.9+nmu1) unstable; urgency=low

  [ David Kalnischkies ]
  * algorithms.cc:
    - show a debug why a package was kept by ResolveByKeep()

 -- David Kalnischkies <kalnischkies@gmail.com>  Mon, 17 Oct 2011 16:36:22 +0200

=== debian/control ===
Source: apt
Section: admin
Priority: important
Maintainer: APT Development Team <deity@lists.debian.org>
Uploaders: Michael Vogt <mvo@debian.org>, Otavio Salvador <otavio@debian.org>,
 Christian Perrier <bubulle@debian.org>, Daniel Burrows <dburrows@debian.org>,
 Julian Andres Klode <jak@debian.org>
Standards-Version: 3.9.2
Build-Depends: dpkg-dev (>= 1.15.8), debhelper (>= 7.2.3~), libdb-dev,
 gettext (>= 0.12), libcurl4-gnutls-dev (>= 7.19.0), 
 zlib1g-dev | libz-dev, debiandoc-sgml, xsltproc, docbook-xsl, docbook-xml, 
 po4a (>= 0.34-2), autotools-dev, autoconf, automake, doxygen
Build-Conflicts: autoconf2.13, automake1.4
Vcs-Bzr: http://bzr.debian.org/apt/debian-sid/
Vcs-Browser: http://bzr.debian.org/loggerhead/apt/debian-sid/

Package: apt
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, debian-archive-keyring, gnupg
Replaces: manpages-pl (<< 20060617-3~)
Conflicts: python-apt (<< 0.7.93.2~)
Suggests: aptitude | synaptic | wajig, dpkg-dev, apt-doc, bzip2, lzma, python-apt
Description: APT's commandline package manager
 This package provides commandline tools for searching and
 managing as well as querying information about packages
 as a low-level access to all features of the libapt-pkg library.
 .
 These include:
  * apt-get for retrieval of packages and information about them
    from authenticated sources and for installation, upgrade and
    removal of packages together with their dependencies
  * apt-cache for querying available information about installed
    as well as installable packages
  * apt-cdrom to use removable media as a source for packages
  * apt-config as an interface to the configuration settings
  * apt-key as an interface to manage authentication keys

Package: libapt-pkg4.12
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: APT's package managment runtime library
 This library provides the common functionality for searching and
 managing packages as well as information about packages.
 Higher-level package managers can depend upon this library.
 .
 This includes:
  * retrieval of information about packages from multiple sources
  * retrieval of packages and all dependent packages
    needed to satisfy a request either through an internal
    solver or by interfacing with an external one
  * authenticating the sources and validating the retrieved data
  * installation and removal of packages in the system
  * providing different transports to retrieve data over cdrom, ftp,
    http, rsh as well as an interface to add more transports like
    https (apt-transport-https) and debtorrent (apt-transport-debtorrent).

Package: libapt-inst1.4
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: APT's deb package format runtime library
 This library provides methods to query and extract information 
 from deb packages. This includes the control data and the package
 file content.

Package: apt-doc
Architecture: all
Priority: optional
Depends: ${misc:Depends}
Section: doc
Description: Documentation for APT
 This package contains the user guide and offline guide for various
 APT tools which are provided in a html and a text-only version.

Package: libapt-pkg-dev
Architecture: any
Priority: optional
Depends: ${libapt-pkg-name} (= ${binary:Version}), ${libapt-inst-name} (= ${binary:Version}), ${misc:Depends}, zlib1g-dev | zlib-dev
Section: libdevel
Description: Development files for APT's libapt-pkg and libapt-inst
 This package contains the header files and libraries for
 developing with APT's libapt-pkg Debian package manipulation
 library and the libapt-inst deb/tar/ar library.

Package: libapt-pkg-doc
Architecture: all
Priority: optional
Depends: ${misc:Depends}
Section: doc
Description: Documentation for APT development
 This package contains documentation for development of the APT
 Debian package manipulation program and its libraries.
 .
 This includes the source code documentation generated by doxygen
 in html format.

Package: apt-utils
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: APT utility programs
 This package contains some less used commandline utilities related
 to package managment with APT.
 .
  * apt-extracttemplates is used by debconf to prompt for configuration
    questions before installation.
  * apt-ftparchive is used to create Packages and other index files
    needed to publish an archive of debian packages
  * apt-sortpkgs is a Packages/Sources file normalizer.

Package: apt-transport-https
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Priority: optional
Description: https download transport for APT
 This package enables the usage of 'deb https://foo distro main' lines
 in the /etc/apt/sources.list so that all package managers using the
 libapt-pkg library can access metadata and packages available in sources
 accessable over https (Hypertext Transfer Protocol Secure).
 .
 This transport supports server as well as client authenification
 with certificates.

=== debian/rules ===
#!/usr/bin/make -f
# Made with the aid of dh_make, by Craig Small
# Sample debian/rules that uses debhelper. GNU copyright 1997 by Joey Hess.
# Some lines taken from debmake, by Christoph Lameter.

export DEB_HOST_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
export DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

# FOR AUTOCONF 2.52 AND NEWER ONLY
ifeq ($(DEB_BUILD_GNU_TYPE), $(DEB_HOST_GNU_TYPE))
  confflags += --build $(DEB_HOST_GNU_TYPE)
else
  confflags += --build $(DEB_BUILD_GNU_TYPE) --host $(DEB_HOST_GNU_TYPE)
endif

# See below
-include build/environment.mak

ifneq (,$(shell which dpkg-buildflags))
  export CXXFLAGS = $(shell dpkg-buildflags --get CXXFLAGS)
else
  ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
    export CXXFLAGS = -O0 -g -Wall
  else
    export CXXFLAGS = -O2 -g -Wall
  endif
endif

# Default rule
build:

PKG=apt
DEB_BUILD_PROG:=debuild --preserve-envvar PATH --preserve-envvar CCACHE_DIR -us -uc $(DEB_BUILD_PROG_OPTS)
APT_DEBVER=$(shell dpkg-parsechangelog |sed -n -e '/^Version:/s/^Version: //p' | sed -e 's/\+.*$$//')
APT_CONFVER=$(shell sed -n -e 's/^AC_DEFINE_UNQUOTED(VERSION,"\(.*\)")/\1/p' configure.in)
APT_CVSTAG=$(shell echo "$(APT_DEBVER)" | sed -e 's/^/v/' -e 's/\./_/g')

# Determine the build directory to use
BASE=.
ifdef BUILD
BUILD_POSSIBLE := $(BUILD) $(BASE)/$(BUILD)
else
BUILD_POSSIBLE := $(BASE) $(BASE)/build-$(shell uname --machine) $(BASE)/build
endif
BUILDX:= $(foreach i,$(BUILD_POSSIBLE),$(wildcard $(i)/environment.mak*))
BUILDX:= $(patsubst %/,%,$(firstword $(dir $(BUILDX))))
override BLD := $(BUILDX)

ifeq ($(words $(BLD)),0)
override BLD := ./build
endif

# Rebuild configure.in to have the correct version from the change log
ifneq ($(APT_DEBVER),$(APT_CONFVER))
ifneq ($(APT_DEBVER),)
.PHONY: configure.in
configure.in:
	sed -e 's/$(APT_CONFVER)/$(APT_DEBVER)/' $@ > $@.$$$$ && mv $@.$$$$ $@
endif
else
configure.in:
endif

# APT Programs in apt-utils
APT_UTILS=ftparchive sortpkgs extracttemplates internal-solver

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# Find the libapt-pkg major version for use in other control files
include buildlib/libversion.mak

# Determine which library package names to use
LIBAPT_PKG=libapt-pkg$(LIBAPTPKG_MAJOR)
LIBAPT_INST=libapt-inst$(LIBAPTINST_MAJOR)

# do not fail as we are just experimenting with symbol files for now
export DPKG_GENSYMBOLS_CHECK_LEVEL=0

build: build/build-stamp
build-doc: build/build-doc-stamp

# Note that this is unconditionally done first as part of loading environment.mak
# The true is needed to force make to reload environment.mak after running
# configure-stamp. Otherwise we can get stale or invalid, or missing config data.
build/environment.mak: build/configure-stamp
	@true

configure: configure.in
build/configure-stamp: configure
	dh_testdir
	-mkdir build
	cp COPYING debian/copyright
	cd build && CXXFLAGS="$(CXXFLAGS)" ../configure $(confflags)
	touch $@

build/build-stamp: build/configure-stamp
	# Add here commands to compile the package.
	$(MAKE) binary
	# compat symlink for the locale split
	mkdir -p build/usr/share 
	cd build/usr/share && ln -f -s ../../locale .
	# compile and run tests
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	$(MAKE) test
else
	@echo "Tests DISABLED"
endif
	touch $@

build/build-doc-stamp: build/configure-stamp
	# Add here commands to compile the package.
	$(MAKE) doc
	touch $@

clean:
	dh_testdir

	[ ! -f Makefile ] || $(MAKE) clean distclean
	rm -rf build

binary-indep: apt-doc libapt-pkg-doc
# Build architecture-independent files here.
libapt-pkg-doc: build-doc
	dh_testdir -p$@
	dh_testroot -p$@
	dh_prep -p$@
	dh_installdirs -p$@
#
# libapt-pkg-doc install
#
	dh_installdocs -p$@ $(BLD)/docs/design* \
			    $(BLD)/docs/dpkg-tech* \
			    $(BLD)/docs/files* \
			    $(BLD)/docs/method* \
			    doc/libapt-pkg2_to_3.txt \
			    doc/style.txt \
			    $(BLD)/doc/doxygen/html
	dh_installexamples -p$@

	dh_installchangelogs -p$@
	dh_strip -p$@
	dh_compress -p$@
	dh_fixperms -p$@
	dh_installdeb -p$@
	dh_gencontrol -p$@
	dh_md5sums -p$@
	dh_builddeb -p$@

apt-doc: build-doc
	dh_testdir -p$@
	dh_testroot -p$@
	dh_prep -p$@
#
# apt-doc install
#
	# Copy the guides
	dh_installdocs -p$@ $(BLD)/docs/guide*.text \
			    $(BLD)/docs/guide*.html \
			    $(BLD)/docs/offline*.text \
			    $(BLD)/docs/offline*.html
	dh_installchangelogs -p$@
	dh_compress -p$@
	dh_fixperms -p$@
	dh_installdeb -p$@
	dh_gencontrol -p$@
	dh_md5sums -p$@
	dh_builddeb -p$@



# Build architecture-dependent files here.

binary-arch: $(LIBAPT_PKG) $(LIBAPT_INST) apt libapt-pkg-dev apt-utils apt-transport-https
apt_MANPAGES = apt-cache apt-cdrom apt-config apt-get apt-key apt-mark apt-secure apt apt.conf apt_preferences sources.list
apt: build build-doc
	dh_testdir -p$@
	dh_testroot -p$@
	dh_prep -p$@
	dh_installdirs -p$@
#
# apt install
#
	cp debian/apt.conf.autoremove debian/$@/etc/apt/apt.conf.d/01autoremove

	# make rosetta happy and remove pot files in po/ (but leave stuff
	# in po/domains/* untouched) and cp *.po into each domain dir
	rm -f build/po/*.pot
	rm -f po/*.pot

	dh_install -p$@ --sourcedir=$(BLD)

	# Remove the bits that are in apt-utils
	rm $(addprefix debian/$@/usr/bin/apt-,$(APT_UTILS) dump-solver)

	# https has its own package
	rm debian/$@/usr/lib/apt/methods/https

	# move the mirror failure script in place
	#mv debian/$@/usr/bin/apt-report-mirror-failure \
	#   debian/$@/usr/lib/apt/apt-report-mirror-failure \

	dh_bugfiles -p$@
	dh_lintian -p$@
	dh_installexamples -p$@ $(BLD)/docs/examples/*
	dh_installman -p$@ $(wildcard $(patsubst %,doc/%.[158],$(apt_MANPAGES)) $(patsubst %,doc/*/%.*.[158],$(apt_MANPAGES)))
	dh_installcron -p$@
	dh_installdocs -p$@
	dh_installchangelogs -p$@
	dh_installlogrotate -p$@
	dh_strip -p$@
	dh_compress -p$@
	dh_fixperms -p$@
	dh_installdeb -p$@
	dh_shlibdeps -p$@
	dh_gencontrol -p$@
	dh_md5sums -p$@
	dh_builddeb -p$@

libapt-pkg-dev: build
	dh_testdir -p$@
	dh_testroot -p$@
	dh_prep -p$@
	dh_installdirs -p$@
#
# libapt-pkg-dev install
#
	dh_install -p$@ --sourcedir=$(BLD)
	dh_installdocs -p$@
	dh_installchangelogs -p$@
	dh_strip -p$@
	dh_compress -p$@
	dh_fixperms -p$@
	dh_installdeb -p$@
	dh_gencontrol -p$@ -- -Vlibapt-pkg-name=$(LIBAPT_PKG) -Vlibapt-inst-name=$(LIBAPT_INST)
	dh_md5sums -p$@
	dh_builddeb -p$@

apt-utils_MANPAGES = apt-sortpkgs apt-ftparchive apt-extracttemplates
apt-utils: build
	dh_testdir -p$@
	dh_testroot -p$@
	dh_prep -p$@
	dh_installdirs -p$@

	cp $(addprefix $(BLD)/bin/apt-,$(APT_UTILS)) debian/$@/usr/bin/
	cp $(BLD)/bin/apt-dump-solver debian/$@/usr/lib/apt/solvers/dump

	dh_install -p$@ --sourcedir=$(BLD)
	dh_link -p$@
	dh_installdocs -p$@
	dh_installexamples -p$@

	# Install the man pages..
	dh_installman -p$@ $(wildcard $(patsubst %,doc/%.[158],$(apt-utils_MANPAGES)) $(patsubst %,doc/*/%.*.[158],$(apt-utils_MANPAGES)))

	dh_installchangelogs -p$@
	dh_strip -p$@
	dh_compress -p$@
	dh_fixperms -p$@
	dh_makeshlibs -p$@
	dh_installdeb -p$@
	dh_shlibdeps -p$@
	dh_gencontrol -p$@
	dh_md5sums -p$@
	dh_builddeb -p$@

$(LIBAPT_PKG): build
	dh_testdir -p$@
	dh_testroot -p$@
	dh_prep -p$@
	dh_installdirs -p$@

	dh_install -p$@ --sourcedir=$(BLD)
	dh_installdocs -p$@
	dh_installchangelogs -p$@
	dh_strip -p$@
	dh_compress -p$@
	dh_fixperms -p$@
	dh_makeshlibs -p$@
	dh_installdeb -p$@
	dh_shlibdeps -p$@ 
	dh_gencontrol -p$@
	dh_md5sums -p$@
	dh_builddeb -p$@

$(LIBAPT_INST): build
	dh_testdir -p$@
	dh_testroot -p$@
	dh_prep -p$@
	dh_installdirs -p$@

	dh_install -p$@ --sourcedir=$(BLD)
	dh_installdocs -p$@
	dh_installchangelogs -p$@
	dh_strip -p$@
	dh_compress -p$@
	dh_fixperms -p$@
	dh_makeshlibs -p$@
	dh_installdeb -p$@
	dh_shlibdeps -p$@ 
	dh_gencontrol -p$@
	dh_md5sums -p$@
	dh_builddeb -p$@

apt-transport-https: build libapt-pkg-dev
	dh_testdir -p$@
	dh_testroot -p$@
	dh_prep -p$@
	dh_installdirs -p$@

	dh_install -p$@ --sourcedir=$(BLD)
	dh_installdocs -p$@ debian/apt-transport-https.README
	dh_installexamples -p$@

## apt 0.8.16~exp11

=== debian/changelog ===
apt (0.8.16~exp11) experimental; urgency=low

  [ David Kalnischkies ]
  * apt-pkg/deb/dpkgpm.cc:
    - redirect out/input of dpkg --assert-multi-arch to /dev/null
    - if multi-arch is detected ensure that pkg:all is reported as pkg:all

 -- Michael Vogt <mvo@debian.org>  Thu, 19 Jan 2012 13:48:18 +0100

apt (0.8.16~exp10) experimental; urgency=low

  [ David Kalnischkies ]
  * apt-pkg/depcache.cc:
    - implicit conflicts (for multiarch) are supposed to conflict
      only with real packages, not with virtual providers
  * apt-pkg/pkgcache.cc:
    - ignore implicit conflicts on providers in AllTarget, too
  * apt-pkg/deb/dpkgpm.cc:
    - check if dpkg supports multiarch with --assert-multi-arch
      and if it does be always explicit about the architecture
  * apt-pkg/contrib/fileutl.h:
    - store the offset in the internal fd before calculate size of
      the zlib-handled file to jump back to this place again

  [ Michael Vogt ]
  * apt-pkg/contrib/fileutl.h:
    - fix segfault triggered by the python-apt testsuite

 -- Michael Vogt <mvo@debian.org>  Wed, 18 Jan 2012 12:52:26 +0100

apt (0.8.16~exp9) experimental; urgency=low

  [ Julian Andres Klode ]
  * apt-pkg/cdrom.cc:
    - Accept .bz2, .xz files in addition to .gz files (Closes: #649451)

  [ Michael Vogt ]
  * apt-pkg/cdrom.cc:
    - use aptconfiguration to get the supported compression types
  * debian/control:
    - bump debhelper build-dep to debhelper (>= 8.1.3~)
    - set libapt-pkg-dev to multi-arch: same too
  * g++ 4.7 fixes

  [ Colin Watson ]
  * Convert libapt-pkg4.12 and libapt-inst1.4 to Multi-Arch: same.

  [ David Kalnischkies ]
  * apt-pkg/cacheset.cc:
    - make the cachesets real containers which can embedding any container
      to be able to use the same interface regardless of set or list usage
    - provide a {Package,Version}List similar to {Package,Version}Set
  * cmdline/apt-{get,cache,mark}.cc:
    - use Lists instead of Sets if input order should be preserved for
      commands accepting lists of packages, e.g. policy (Closes: #625960)
  * apt-pkg/depcache.cc:
    - prefer native providers over foreigns even if the chain is foreign
  * cmdline/apt-get.cc:
    - ignore foreign architectures if we check if a provides has only one
      resolver as it's basically the same for the user, so no need to choose
  * cmdline/apt-config.cc:
    - dump the APT::Compressor settings correctly and completely
  * apt-pkg/contrib/fileutl.{h,cc}:
    - implement a ModificationTime method for FileFd
    - add a ReadLine method
    - drop the explicit export of gz-compression handling
  * apt-pkg/cdrom.cc:
    - support InRelease files on cdrom

 -- Michael Vogt <mvo@debian.org>  Thu, 05 Jan 2012 20:26:31 +0100

apt (0.8.15.10) UNRELEASEDunstable; urgency=low

  [ David Kalnischkies ]
  * algorithms.cc:
    - show a debug why a package was kept by ResolveByKeep()
  * doc/manpage-style.xml:
    - put <brackets> around email addresses
  * apt-pkg/aptconfiguration.cc:
    - parse dpkg --print-foreign-architectures correctly in
      case archs are separated by newline instead of space, too.
      (Closes: #655590)
  * doc/po/de.po:
    - apply typo-fix from Michael Basse, thanks! (LP: #900770)

  [ Chris Leick ]
  * German manpage translation update
  * doc/*.xml:
    - find and fix a bunch of misspellings

  [ Program translation updates ]
  * Dutch (Jeroen Schot). Closes: #652230
  * Slovak (Ivan Masar). Closes: #652985
  * Russian (Yuri Kozlov). Closes: #654844
  * Hungarian (Gabor Kelemen). Closes: #655238

 -- David Kalnischkies <kalnischkies@gmail.com>  Fri, 13 Jan 2012 17:30:36 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
  Christian Perrier <bubulle@debian.org>, Daniel Burrows <dburrows@debian.org>,
  Julian Andres Klode <jak@debian.org>
 Standards-Version: 3.9.2
-Build-Depends: dpkg-dev (>= 1.15.8), debhelper (>= 7.2.3~), libdb-dev,
+Build-Depends: dpkg-dev (>= 1.15.8), debhelper (>= 8.1.3~), libdb-dev,
  gettext (>= 0.12), libcurl4-gnutls-dev (>= 7.19.0), 
  zlib1g-dev | libz-dev, debiandoc-sgml, xsltproc, docbook-xsl, docbook-xml, 
  po4a (>= 0.34-2), autotools-dev, autoconf, automake, doxygen
@@ -37,6 +37,8 @@
 
 Package: libapt-pkg4.12
 Architecture: any
+Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: APT's package managment runtime library
  This library provides the common functionality for searching and
@@ -56,6 +58,8 @@
 
 Package: libapt-inst1.4
 Architecture: any
+Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: APT's deb package format runtime library
  This library provides methods to query and extract information 
@@ -73,7 +77,9 @@
 
 Package: libapt-pkg-dev
 Architecture: any
+Multi-Arch: same
 Priority: optional
+Pre-Depends: ${misc:Pre-Depends}
 Depends: ${libapt-pkg-name} (= ${binary:Version}), ${libapt-inst-name} (= ${binary:Version}), ${misc:Depends}, zlib1g-dev | zlib-dev
 Section: libdevel
 Description: Development files for APT's libapt-pkg and libapt-inst

=== debian/rules ===
--- 
+++ 
@@ -5,6 +5,7 @@
 
 export DEB_HOST_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 export DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
+export DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 
 # FOR AUTOCONF 2.52 AND NEWER ONLY
 ifeq ($(DEB_BUILD_GNU_TYPE), $(DEB_HOST_GNU_TYPE))
@@ -118,6 +119,11 @@
 
 	[ ! -f Makefile ] || $(MAKE) clean distclean
 	rm -rf build
+	rm -f debian/$(LIBAPT_PKG).install debian/$(LIBAPT_INST).install \
+	      debian/libapt-pkg-dev.install
+
+debian/%.install: debian/%.install.in
+	sed 's/@DEB_HOST_MULTIARCH@/$(DEB_HOST_MULTIARCH)/g' $< > $@
 
 binary-indep: apt-doc libapt-pkg-doc
 # Build architecture-independent files here.
@@ -217,7 +223,7 @@
 	dh_md5sums -p$@
 	dh_builddeb -p$@
 
-libapt-pkg-dev: build
+libapt-pkg-dev: build debian/libapt-pkg-dev.install
 	dh_testdir -p$@
 	dh_testroot -p$@
 	dh_prep -p$@
@@ -265,7 +271,7 @@
 	dh_md5sums -p$@
 	dh_builddeb -p$@
 
-$(LIBAPT_PKG): build
+$(LIBAPT_PKG): build debian/$(LIBAPT_PKG).install
 	dh_testdir -p$@
 	dh_testroot -p$@
 	dh_prep -p$@
@@ -284,32 +290,13 @@
 	dh_md5sums -p$@
 	dh_builddeb -p$@
 
-$(LIBAPT_INST): build
-	dh_testdir -p$@
-	dh_testroot -p$@
-	dh_prep -p$@
-	dh_installdirs -p$@
-
-	dh_install -p$@ --sourcedir=$(BLD)
-	dh_installdocs -p$@
-	dh_installchangelogs -p$@
-	dh_strip -p$@
-	dh_compress -p$@
-	dh_fixperms -p$@
-	dh_makeshlibs -p$@
-	dh_installdeb -p$@
-	dh_shlibdeps -p$@ 
-	dh_gencontrol -p$@
-	dh_md5sums -p$@
-	dh_builddeb -p$@
-
-apt-transport-https: build libapt-pkg-dev
-	dh_testdir -p$@
-	dh_testroot -p$@
-	dh_prep -p$@
-	dh_installdirs -p$@
-
-	dh_install -p$@ --sourcedir=$(BLD)
-	dh_installdocs -p$@ debian/apt-transport-https.README
-	dh_installexamples -p$@
-
+$(LIBAPT_INST): build debian/$(LIBAPT_INST).install
+	dh_testdir -p$@
+	dh_testroot -p$@
+	dh_prep -p$@
+	dh_installdirs -p$@
+
+	dh_install -p$@ --sourcedir=$(BLD)
+	dh_installdocs -p$@
+	dh_installchangelogs -p$@
+	dh_strip -p$@

## apt 0.8.16~exp12

=== debian/changelog ===
apt (0.8.16~exp12) experimental; urgency=low

  [ Michael Vogt ]
  * apt-pkg/deb/dpkgpm.cc:
    - fix segfault on pkg removal

  [ David Kalnischkies ]
  * apt-pkg/cacheiterators.h:
    - return the correct version arch for all+foreign, too
  * apt-pkg/packagemanager.cc:
    - ignore breaks on not-installed versions while searching for
      breakage loops as we don't have to avoid them
  * debian/control:
    - remove APT from the short descriptions as lintian doesn't like it
      and it doesn't transport any information for a reader anyway
    - apply typofixes by Pascal De Vuyst, thanks! (Closes: #652834, #652835)
  * debian/rules:
    - apply patch to enable usage of hardning CPPFLAGS and LDFLAGS by
      Moritz Muehlenhoff, thanks! (Closes: #653504)
  * methods/https.cc:
    - use curls list append instead of appending Range and If-Range by hand
      which generates malformed requests, thanks Mel Collins for the hint!
      (Closes: #646381)
  * test/libapt/run-tests:
    - hurd doesn't have dmesg yet and we don't really need it either,
      so use with $0 a more stable data source for hashsumming

  [ Pino Toscano ]
  * test/libapt/globalerror_test.cc:
    - errno 0 has a different strerror on hurd, so generate the expected
      message dynamically instead of hardcoding 'Success' (Closes: #656530)

 -- Michael Vogt <mvo@debian.org>  Tue, 24 Jan 2012 12:24:38 +0100

=== debian/control ===
--- 
+++ 
@@ -7,8 +7,8 @@
  Julian Andres Klode <jak@debian.org>
 Standards-Version: 3.9.2
 Build-Depends: dpkg-dev (>= 1.15.8), debhelper (>= 8.1.3~), libdb-dev,
- gettext (>= 0.12), libcurl4-gnutls-dev (>= 7.19.0), 
- zlib1g-dev | libz-dev, debiandoc-sgml, xsltproc, docbook-xsl, docbook-xml, 
+ gettext (>= 0.12), libcurl4-gnutls-dev (>= 7.19.0),
+ zlib1g-dev | libz-dev, debiandoc-sgml, xsltproc, docbook-xsl, docbook-xml,
  po4a (>= 0.34-2), autotools-dev, autoconf, automake, doxygen
 Build-Conflicts: autoconf2.13, automake1.4
 Vcs-Bzr: http://bzr.debian.org/apt/debian-sid/
@@ -20,7 +20,7 @@
 Replaces: manpages-pl (<< 20060617-3~)
 Conflicts: python-apt (<< 0.7.93.2~)
 Suggests: aptitude | synaptic | wajig, dpkg-dev, apt-doc, bzip2, lzma, python-apt
-Description: APT's commandline package manager
+Description: commandline package manager
  This package provides commandline tools for searching and
  managing as well as querying information about packages
  as a low-level access to all features of the libapt-pkg library.
@@ -40,7 +40,7 @@
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Description: APT's package managment runtime library
+Description: package managment runtime library
  This library provides the common functionality for searching and
  managing packages as well as information about packages.
  Higher-level package managers can depend upon this library.
@@ -61,8 +61,8 @@
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Description: APT's deb package format runtime library
- This library provides methods to query and extract information 
+Description: deb package format runtime library
+ This library provides methods to query and extract information
  from deb packages. This includes the control data and the package
  file content.
 
@@ -71,7 +71,7 @@
 Priority: optional
 Depends: ${misc:Depends}
 Section: doc
-Description: Documentation for APT
+Description: documentation for APT
  This package contains the user guide and offline guide for various
  APT tools which are provided in a html and a text-only version.
 
@@ -82,7 +82,7 @@
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${libapt-pkg-name} (= ${binary:Version}), ${libapt-inst-name} (= ${binary:Version}), ${misc:Depends}, zlib1g-dev | zlib-dev
 Section: libdevel
-Description: Development files for APT's libapt-pkg and libapt-inst
+Description: development files for APT's libapt-pkg and libapt-inst
  This package contains the header files and libraries for
  developing with APT's libapt-pkg Debian package manipulation
  library and the libapt-inst deb/tar/ar library.
@@ -92,7 +92,7 @@
 Priority: optional
 Depends: ${misc:Depends}
 Section: doc
-Description: Documentation for APT development
+Description: documentation for APT development
  This package contains documentation for development of the APT
  Debian package manipulation program and its libraries.
  .
@@ -102,7 +102,7 @@
 Package: apt-utils
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Description: APT utility programs
+Description: package managment related utility programs
  This package contains some less used commandline utilities related
  to package managment with APT.
  .
@@ -120,7 +120,7 @@
  This package enables the usage of 'deb https://foo distro main' lines
  in the /etc/apt/sources.list so that all package managers using the
  libapt-pkg library can access metadata and packages available in sources
- accessable over https (Hypertext Transfer Protocol Secure).
+ accessible over https (Hypertext Transfer Protocol Secure).
  .
- This transport supports server as well as client authenification
+ This transport supports server as well as client authentication
  with certificates.

## apt 0.8.16~exp12ubuntu10

=== debian/changelog ===
apt (0.8.16~exp12ubuntu10) precise-proposed; urgency=low

  [ Malcolm Scott ]
  * apt-pkg/packagemanager.cc:
    - Fix a regression in the pre-depend handling: where a pre-depend option
      other than the first specified is already installed, apt-get enters an
      infinite loop (LP: #985852)

  [ Michael Vogt ]
  * apt-pkg/packagemanager.cc:
    - add APT::pkgPackageManager::MaxLoopCount to ensure that the
      ordering code does not get into a endless loop when it flip-flops
      between two states

  [ David Kalnischkies ]
  * apt-pkg/cacheset.cc:
    - actually return to the fallback modifier if we have detected we
      should for packagenames which look like modifiers (Closes: #669591)
      LP: #982716

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 20 Apr 2012 11:10:12 +0200

apt (0.8.16~exp12ubuntu9) precise-proposed; urgency=low

  * apt-inst/contrib/extracttar.cc:
    - ensure that in StartGzip the InFd is set to "AutoClose" to ensure
      that the pipe is closed when InFd is closed. This fixes a Fd leak
      (LP: #985452)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 19 Apr 2012 11:38:43 +0200

apt (0.8.16~exp12ubuntu8) precise; urgency=low

  * Set FD_CLOEXEC on history.log's FD (Closes: #610069, LP: #636010)

 -- Adam Conrad <adconrad@ubuntu.com>  Thu, 12 Apr 2012 16:26:20 -0600

apt (0.8.16~exp12ubuntu7) precise; urgency=low

  * clean up obsolete conffile /etc/apt/apt.conf.d/01ubuntu, which was
    dropped in maverick.
  * Build-depend on gettext:any for cross-building support.
  * Don't treat build-depends-indep as cross-build-dependencies; we should
    always install the host arch versions.  LP: #968828.
  * Makefile, po/makefile:  make sure our pot generation datestamp doesn't
    change at build time, since this makes translations fail to be
    co-installable with multiarch.  Based on a patch by David Kalnischkies.
    Closes: #659333, LP: #924628.
  * For cross-build-dependencies, Architecture: all packages should be
    treated as implicitly Multi-Arch: foreign, because either they *are*
    M-A: foreign when used as a build-dependency, or they need to be updated
    to not be Architecture: all; and since cross-build-deps are new
    functionality in apt, we can safely make this change without breaking
    existing systems.  Closes: #666772.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 05 Apr 2012 18:00:23 -0700

apt (0.8.16~exp12ubuntu6) precise; urgency=low

  * cherry pick from
    http://bzr.debian.org/bzr/bzr/apt/apt/debian-experimental2/:
    * apt-pkg/packagemanager.cc:
      - fix bug in predepends handling - ensure that packages that needs
        unpackaging are unpacked before they are configured (LP: #927993)
    * apt-pkg/packagemanager.cc:
      - do not try to a void a breaks if the broken package pre-depends
        on the breaker, but let dpkg auto-deconfigure it
    * apt-pkg/packagemanager.cc:
      - recheck all dependencies if we changed a package in SmartConfigure
        as this could break an earlier dependency (LP: #940396)
    * recheck dependencies in SmartUnpack after a change, too
    * add Debug::pkgAcqArchive::NoQueue to disable package downloading

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 15 Mar 2012 19:46:08 +0100

apt (0.8.16~exp12ubuntu5) precise; urgency=low

  [ Michael Vogt ]
  * merged from the debian-sid branch, most notably:
    - Correct fi translation for hash sum mismatches (LP: #420403)
      Thanks to Jani Uusitalo
    - remove 'old' InRelease file if we can't get a new one before
      proceeding with Release.gpg to avoid the false impression of a still
      trusted repository by a (still present) old InRelease file.
      Thanks to Simon Ruderich for reporting this issue! (CVE-2012-0214)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 06 Mar 2012 17:52:50 +0100

apt (0.8.16~exp12ubuntu4) precise; urgency=low

  * apt-pkg/contrib/fileutl.h:
    - fix compatibility with FileFd::OpenDescriptor() in ReadOnlyGzip mode

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 14 Feb 2012 10:06:28 +0100

apt (0.8.16~exp12ubuntu3) precise; urgency=low

  * Fix IndexCopy::CopyPackages and TranslationsCopy::CopyTranslations to
    handle compressed files again (LP: #924182).

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 31 Jan 2012 11:19:46 +0000

apt (0.8.16~exp12ubuntu2) precise; urgency=low

  [ David Kalnischkies ]
  * apt-pkg/deb/dpkgpm.cc:
    - chroot if needed before dpkg --assert-multi-arch
    - ensure that dpkg binary doesn't have the chroot-directory prefixed
  * apt-pkg/depcache.cc:
    - if a M-A:same package is marked for reinstall, mark all it's installed
      silbings for reinstallation as well (LP: #859188)
  * apt-pkg/contrib/configuration.cc:
    - do not stop parent transversal in FindDir if the value is empty
  * methods/http{s,}.cc:
    - if a file without an extension is requested send an 'Accept: text/*'
      header to avoid that the server chooses unsupported compressed files
      in a content-negotation attempt (Closes: #657560)
  * apt-pkg/aptconfiguration.cc:
    - chroot if needed before calling dpkg --print-foreign-architectures

  [ Michael Vogt ]
  * apt-pkg/deb/dpkgpm.cc:
    - fix crash when a package is in removed but residual config state
      (LP: #923807)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 30 Jan 2012 21:03:12 +0100

apt (0.8.16~exp12ubuntu1) precise; urgency=low

  [ Michael Vogt ]
  * merge from debian/experimental:
    - new ABI

  [ Steve Langasek ]
  * apt-pkg/algorithms.cc: iterate Breaks the same way as Conflicts, so that
    we resolve virtual package Breaks more effectively.  Thanks to Colin
    Watson for the patch.  Closes: #657695, LP: #922485.
  * apt-pkg/algorithms.{cc,h}: use an int to represent resolver scores, not
    a signed short, because large upgrades can result in an overflow for
    core packages.  Thanks again to Colin Watson.  Closes: #657732,
    LP: #917173.


=== debian/control ===
--- 
+++ 
@@ -1,22 +1,24 @@
 Source: apt
 Section: admin
 Priority: important
-Maintainer: APT Development Team <deity@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: APT Development Team <deity@lists.debian.org>
 Uploaders: Michael Vogt <mvo@debian.org>, Otavio Salvador <otavio@debian.org>,
  Christian Perrier <bubulle@debian.org>, Daniel Burrows <dburrows@debian.org>,
  Julian Andres Klode <jak@debian.org>
 Standards-Version: 3.9.2
 Build-Depends: dpkg-dev (>= 1.15.8), debhelper (>= 8.1.3~), libdb-dev,
- gettext (>= 0.12), libcurl4-gnutls-dev (>= 7.19.0),
+ gettext:any (>= 0.12), libcurl4-gnutls-dev (>= 7.19.0),
  zlib1g-dev | libz-dev, debiandoc-sgml, xsltproc, docbook-xsl, docbook-xml,
  po4a (>= 0.34-2), autotools-dev, autoconf, automake, doxygen
 Build-Conflicts: autoconf2.13, automake1.4
-Vcs-Bzr: http://bzr.debian.org/apt/debian-sid/
-Vcs-Browser: http://bzr.debian.org/loggerhead/apt/debian-sid/
+Vcs-Bzr: lp:~ubuntu-core-dev/apt/ubuntu
+Vcs-Browser: http://code.launchpad.net/apt/ubuntu
 
 Package: apt
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, debian-archive-keyring, gnupg
+Pre-Depends: dpkg (>= 1.15.7.2)
+Depends: ubuntu-keyring, ${shlibs:Depends}, ${misc:Depends}, gnupg
 Replaces: manpages-pl (<< 20060617-3~)
 Conflicts: python-apt (<< 0.7.93.2~)
 Suggests: aptitude | synaptic | wajig, dpkg-dev, apt-doc, bzip2, lzma, python-apt

## apt 0.8.16~exp12ubuntu10.7

=== Makefile ===
# -*- make -*-

# This is the top level make file for APT, it recurses to each lower
# level make file and runs it with the proper target
ifndef NOISY
.SILENT:
endif

.PHONY: default
default: startup all

.PHONY: headers library clean veryclean all binary program doc test
all headers library clean veryclean binary program doc dirs test:
	$(MAKE) -C apt-pkg $@
	$(MAKE) -C apt-inst $@
	$(MAKE) -C methods $@
	$(MAKE) -C cmdline $@
	$(MAKE) -C ftparchive $@
	$(MAKE) -C dselect $@
	$(MAKE) -C doc $@
	$(MAKE) -C po $@
	$(MAKE) -C test $@

# Some very common aliases
.PHONY: maintainer-clean dist-clean distclean pristine sanity 
maintainer-clean dist-clean distclean pristine sanity: veryclean
veryclean: clean

# The startup target builds the necessary configure scripts. It should
# be used after a CVS checkout.
CONVERTED=environment.mak include/config.h include/apti18n.h build/doc/Doxyfile makefile
include buildlib/configure.mak
$(BUILDDIR)/include/config.h: buildlib/config.h.in
$(BUILDDIR)/include/apti18n.h: buildlib/apti18n.h.in
$(BUILDDIR)/environment.mak: buildlib/environment.mak.in
$(BUILDDIR)/makefile: buildlib/makefile.in

=== test/Makefile ===
# -*- make -*-

# This is the top level test makefile for APT, it recurses to each lower
# level make file and runs it with the proper target
ifndef NOISY
.SILENT:
endif

.PHONY: headers library clean veryclean all binary program doc test
all clean veryclean binary program dirs test:
	$(MAKE) -C libapt $@
	$(MAKE) -C interactive-helper $@

# Some very common aliases
.PHONY: maintainer-clean dist-clean distclean pristine sanity
maintainer-clean dist-clean distclean pristine sanity: veryclean

=== debian/changelog ===
apt (0.8.16~exp12ubuntu10.7) precise-security; urgency=low

  * SECURITY UPDATE: change permissions of 
    /var/log/apt/term.log to 0640 (LP: #975199)
    - CVE-2012-0961

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 04 Dec 2012 15:38:12 +0100

apt (0.8.16~exp12ubuntu10.6) precise-proposed; urgency=low

  [ David Kalnischkies ]
  * apt-pkg/packagemanager.cc:
    - do not do lock-step configuration for a M-A:same package if it isn't
      unpacked yet in SmartConfigure and do not unpack a M-A:same package
      again in SmartUnPack if we have already configured it (LP: #1062503)
  
  [ Michael Vogt ]
  * update Vcs to link to the precise branch

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 09 Nov 2012 10:06:31 +0100

apt (0.8.16~exp12ubuntu10.5) precise-proposed; urgency=low

  * apt-pkg/pkgcachegen.cc:
    - Fix crash if the cache is remapped while writing a Provides version
      (LP: #1066445).

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 15 Oct 2012 05:42:45 +0100

apt (0.8.16~exp12ubuntu10.4) precise-proposed; urgency=low

  [ David Kalnischkies ]
  * apt-pkg/packagemanager.cc:
    - do not run into loop on new-pre-depends-breaks (Closes: #673536)
      LP: #1050791
  * apt-pkg/cachefile.cc:
    - clean up lost atomic cachefiles with 'clean' (Closes: #650513)
      LP: #1050779
  
  [ TJ ]
  * apt-pkg/contrib/netrc.cc:
    - increase LOGINSIZE/PASSWORDSIZE limits and add proper error
      if the limits are reached (LP: #1065429)
  
  [ Michael Vogt ]
  * lp:~mvo/apt/lp346386-precise:
    - fail gracefully when a InRelease file is not valid, e.g. behind
      paywalls (LP: #346386)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 11 Oct 2012 11:32:27 +0200

apt (0.8.16~exp12ubuntu10.3) precise-proposed; urgency=low

  * ftparchive/override.cc:
    - Double maximum override line length to 1000 (LP: #1038961).

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 20 Aug 2012 13:47:32 +0100

apt (0.8.16~exp12ubuntu10.2) precise-security; urgency=low

  * SECURITY UPDATE: Disable apt-key net-update for now, as validation
    code is still insecure
    - cmdline/apt-key: exit 1 immediately in net_update()
    - CVE-2012-0954
    - LP: #1013639

 -- Jamie Strandboge <jamie@ubuntu.com>  Fri, 15 Jun 2012 08:02:02 -0500

apt (0.8.16~exp12ubuntu10.1) precise-security; urgency=low

  * adjust apt-key to ensure no collisions on subkeys too. Patch thanks to
    Marc Deslauriers. (LP: #1013128)

 -- Jamie Strandboge <jamie@ubuntu.com>  Thu, 14 Jun 2012 11:30:50 -0500

=== debian/control ===
--- 
+++ 
@@ -12,8 +12,8 @@
  zlib1g-dev | libz-dev, debiandoc-sgml, xsltproc, docbook-xsl, docbook-xml,
  po4a (>= 0.34-2), autotools-dev, autoconf, automake, doxygen
 Build-Conflicts: autoconf2.13, automake1.4
-Vcs-Bzr: lp:~ubuntu-core-dev/apt/ubuntu
-Vcs-Browser: http://code.launchpad.net/apt/ubuntu
+Vcs-Bzr: lp:~ubuntu-core-dev/apt/precise
+Vcs-Browser: http://code.launchpad.net/apt/precise
 
 Package: apt
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -3,6 +3,9 @@
 # Sample debian/rules that uses debhelper. GNU copyright 1997 by Joey Hess.
 # Some lines taken from debmake, by Christoph Lameter.
 
+# build in verbose mode by default to make it easy to diangose issues
+export NOISY=1
+
 export DEB_HOST_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 export DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
 export DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
@@ -19,6 +22,8 @@
 
 ifneq (,$(shell which dpkg-buildflags))
   export CXXFLAGS = $(shell dpkg-buildflags --get CXXFLAGS)
+  export LDFLAGS = $(shell dpkg-buildflags --get LDFLAGS)
+  export CPPFLAGS = $(shell dpkg-buildflags --get CPPFLAGS)
 else
   ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
     export CXXFLAGS = -O0 -g -Wall
@@ -92,7 +97,7 @@
 	dh_testdir
 	-mkdir build
 	cp COPYING debian/copyright
-	cd build && CXXFLAGS="$(CXXFLAGS)" ../configure $(confflags)
+	cd build && CXXFLAGS="$(CXXFLAGS)" LDFLAGS="$(LDFLAGS)" CPPFLAGS="$(CPPFLAGS)" ../configure $(confflags)
 	touch $@
 
 build/build-stamp: build/configure-stamp
@@ -188,6 +193,8 @@
 # apt install
 #
 	cp debian/apt.conf.autoremove debian/$@/etc/apt/apt.conf.d/01autoremove
+	cp debian/apt.conf.changelog debian/$@/etc/apt/apt.conf.d/20changelog
+	cp share/ubuntu-archive.gpg debian/$@/usr/share/$@
 
 	# make rosetta happy and remove pot files in po/ (but leave stuff
 	# in po/domains/* untouched) and cp *.po into each domain dir
@@ -281,22 +288,3 @@
 	dh_installdocs -p$@
 	dh_installchangelogs -p$@
 	dh_strip -p$@
-	dh_compress -p$@
-	dh_fixperms -p$@
-	dh_makeshlibs -p$@
-	dh_installdeb -p$@
-	dh_shlibdeps -p$@ 
-	dh_gencontrol -p$@
-	dh_md5sums -p$@
-	dh_builddeb -p$@
-
-$(LIBAPT_INST): build debian/$(LIBAPT_INST).install
-	dh_testdir -p$@
-	dh_testroot -p$@
-	dh_prep -p$@
-	dh_installdirs -p$@
-
-	dh_install -p$@ --sourcedir=$(BLD)
-	dh_installdocs -p$@
-	dh_installchangelogs -p$@
-	dh_strip -p$@

## apt 0.8.16~exp12ubuntu10.8

=== debian/changelog ===
apt (0.8.16~exp12ubuntu10.8) precise; urgency=low

  * Backport kernel auto-removal/retention policy from raring (LP: #923876)
    - debian/apt.auto-removal.sh, debian/rules, debian/apt.dirs: Add new
      script to /etc/kernel/postinst.d/ that ensures we always retain the
      currently-running, being-installed, and newest-installed kernels.
    - debian/apt.conf.autoremove: don't include linux-restricted-modules*,
      linux-image*, and linux-ubuntu-modules* in the never-removed list.

 -- Adam Conrad <adconrad@ubuntu.com>  Tue, 12 Feb 2013 02:23:24 -0700

apt (0.5.16) unstable; urgenc

## apt 0.8.16~exp12ubuntu10.21

=== debian/changelog ===
apt (0.8.16~exp12ubuntu10.21) precise-security; urgency=low

  * SECURITY UPDATE:
    - cmdline/apt-get.cc: fix insecure tempfile handling in
      apt-get changelog (CVE-2014-7206). Thanks to Guillem Jover

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 08 Oct 2014 10:35:46 +0200

apt (0.8.16~exp12ubuntu10.20.1) precise-security; urgency=low

  * SECURITY UPDATE:
    - fix potential buffer overflow, thanks to the
      Google Security Team (CVE-2014-6273)
  * Fix regression in 0.9.7.9+deb7u3 when file:/// sources
    are used and those are on a different partition than
    the apt state directoryo (LP: #1371058)
  * Revert FileFd::ReadOnlyGzip change
  * Fix regression when Dir::state::lists is set to a relative path
  * Fix regression when cdrom: sources got rewriten by apt-cdrom add

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 23 Sep 2014 09:02:26 +0200

apt (0.8.16~exp12ubuntu10.19) precise-security; urgency=low

  * SECURITY UPDATE:
    - incorrect invalidating of unauthenticated data (CVE-2014-0488)
    - incorect verification of 304 reply (CVE-2014-0487)
    - incorrect verification of Acquire::Gzip indexes (CVE-2014-0489)
    - incorrect apt-get download validation (CVE-2014-0490)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 15 Sep 2014 08:23:20 +0200

apt (0.8.16~exp12ubuntu10.17) precise-security; urgency=low

  * SECURITY UPDATE: incorrect apt-get source validation (LP: #1329274)
    - warn if not authenticated in cmdline/apt-get.cc, added regression
      test to test/integration/test-apt-get-source-authenticated,
      test/integration/framework.
    - CVE-2014-0478

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 12 Jun 2014 14:12:19 +0200

apt (0.8.16~exp12ubuntu10.16) precise; urgency=low

  * Keep linux-tools packages matching installed kernels (LP: #1205284)

 -- Adam Conrad <adconrad@ubuntu.com>  Fri, 15 Nov 2013 15:16:45 +0000

apt (0.8.16~exp12ubuntu10.15) precise; urgency=low

  [ David Kalnischkies ]
  * ftparchive/writer.cc:
    - handle the APT::FTPArchive::Packages::SHA512 option correctly instead
      of overriding SHA256, thanks Christian Marillat! (Closes: #680252,
      LP: #1234691)

  [ Colin Watson ]
  * Fix apt-ftparchive's generation of SHA512 checksums for Sources,
    previously incorrectly generated as SHA256 (LP: #1234705).

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 03 Oct 2013 14:19:02 +0100

apt (0.8.16~exp12ubuntu10.14) precise; urgency=low

  * Fix unhandled If-Modified-Since case that causes apt lists corruption.
    LP: #1179781

 -- Dave Chiluk <chiluk@canonical.com>  Tue, 20 Aug 2013 09:56:40 -0500

apt (0.8.16~exp12ubuntu10.12) precise; urgency=low

  * Add patch from Thomas Bushnell to make apt-get reuse https connections 
    (LP: #1087543)

 -- Dave Chiluk <chiluk@canonical.com>  Fri, 12 Jul 2013 12:16:26 -0500

apt (0.8.16~exp12ubuntu10.11) precise-proposed; urgency=low

  [ Michael Vogt ]
  * test/integration/test-bug-1078697-missing-source-hashes:
    - add test for deb-src hash generation

  [ Marc Deslauriers ]
  * make apt-ftparchive generate missing deb-src hashes (LP: #1078697)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 04 Apr 2013 18:42:34 +0200

apt (0.8.16~exp12ubuntu10.10) precise-security; urgency=low

  * SECURITY UPDATE: InRelease verification bypass
    - CVE-2013-1051

  [ David Kalnischk ]
  [ Michael Vogt ]
  * apt-pkg/deb/debmetaindex.cc,
    test/integration/test-bug-595691-empty-and-broken-archive-files,
    test/integration/test-releasefile-verification:
    - disable InRelease downloading until the verification issue is
      fixed, thanks to Ansgar Burchardt for finding the flaw

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 13 Mar 2013 11:27:59 -0400

apt (0.8.16~exp12ubuntu10.9) precise-proposed; urgency=low

  [ David Kalnischkies ]
  * apt-pkg/depcache.cc:
    - prefer to install packages which have an already installed M-A:same
      sibling while choosing providers (LP: #1130419)

  [ Steve Langasek ]
  * Invoke /etc/kernel/postinst.d/apt-auto-removal directly on upgrade for
    bug #923876, so that an 'apt-get autoremove' run before any new kernel
    packages have been installed gives the expected behavior.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 02 Mar 2013 20:22:43 +0000
